API Reference

Transfer Orders

13 endpoints· Auth: JWT or API Key
get/api/v1/console/central-kitchen/transfers JWT API Key

Get transfers

Query parameters

Status
string
—
Kind
string
—
Direction
string
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/central-kitchen/transfers JWT API Key

Create transfers

Request body

application/json
{
  "kind": "string",
  "destBranchId": "00000000-0000-0000-0000-000000000000",
  "sourceLocationId": "00000000-0000-0000-0000-000000000000",
  "transitLocationId": "00000000-0000-0000-0000-000000000000",
  "destLocationId": "00000000-0000-0000-0000-000000000000",
  "notes": "string",
  "lines": [
    {
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "lotNo": "string"
    }
  ]
}
kind
string
—
destBranchId
string (uuid)
—
sourceLocationId
string (uuid)
—
transitLocationId
string (uuid)
—
destLocationId
string (uuid)
—
notes
string
—
lines
CreateTransferLineRequest[]
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "kind": "string",
  "destBranchId": "00000000-0000-0000-0000-000000000000",
  "sourceLocationId": "00000000-0000-0000-0000-000000000000",
  "transitLocationId": "00000000-0000-0000-0000-000000000000",
  "destLocationId": "00000000-0000-0000-0000-000000000000",
  "notes": "string",
  "lines": [
    {
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "lotNo": "string"
    }
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/central-kitchen/transfers/{id} JWT API Key

Get id

Path parameters

idrequired
string (uuid)
—

Query parameters

Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Query parameters

Set credentials in the “Authorize” menu
delete/api/v1/console/central-kitchen/transfers/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/central-kitchen/transfers/{id}/approve JWT API Key

Create approve

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}/approve" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/central-kitchen/transfers/{id}/cancel JWT API Key

Create cancel

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}/cancel" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/central-kitchen/transfers/{id}/pick JWT API Key

Create pick

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}/pick" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/central-kitchen/transfers/{id}/post JWT API Key

Create post

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}/post" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/central-kitchen/transfers/{id}/receive JWT API Key

Create receive

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "lines": [
    {
      "transferLineId": "00000000-0000-0000-0000-000000000000",
      "receivedQty": 0,
      "varianceReasonId": "00000000-0000-0000-0000-000000000000"
    }
  ]
}
lines
ReceiveTransferLineRequest[]
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}/receive" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "lines": [
    {
      "transferLineId": "00000000-0000-0000-0000-000000000000",
      "receivedQty": 0,
      "varianceReasonId": "00000000-0000-0000-0000-000000000000"
    }
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/central-kitchen/transfers/{id}/reject JWT API Key

Create reject

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}/reject" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/central-kitchen/transfers/{id}/review JWT API Key

Create review

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}/review" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/central-kitchen/transfers/{id}/ship JWT API Key

Create ship

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}/ship" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/central-kitchen/transfers/{id}/submit JWT API Key

Create submit

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/transfers/{id}/submit" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu